: Get today's notable deaths

API: dayinhistory.dev:day-in-history-api
Endpoint: /today/deaths/
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 795ms

Description

Returns notable people who died on today's date. This is the trailing-slash variant of /today/deaths, returning the same data. Useful when your HTTP client or framework automatically appends trailing slashes.

From spec: Returns notable people who died on today's date

Usage Tips

- Same data as /today/deaths without the trailing slash - Supports pagination with ?page=N parameter - Historical figures may have negative death years

Parameters (1)

page (integer, query, optional, default: 1)

Page number for pagination

Examples (2)

Get today's notable deaths probe-gate

Fetch today's notable deaths

curl 'https://api.dayinhistory.dev/v1/today/deaths/?page=1'
import requests

resp = requests.get(
    "https://api.dayinhistory.dev/v1/today/deaths/",
    params={
        'page': '1',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("dayinhistory")
result = api.fetch("today/deaths/", page=1)

for item in result:
    print(item)
const resp = await fetch("https://api.dayinhistory.dev/v1/today/deaths/?page=1");
const data = await resp.json();
Get today's notable deaths probe-gate
curl 'https://api.dayinhistory.dev/v1/today/deaths/'
import requests

resp = requests.get("https://api.dayinhistory.dev/v1/today/deaths/")
data = resp.json()
import zingu_apis

api = zingu_apis.api("dayinhistory")
result = api.fetch("today/deaths/")

for item in result:
    print(item)
const resp = await fetch("https://api.dayinhistory.dev/v1/today/deaths/");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:00:39.477329 200 795ms
2026-04-16 01:29:38.019930 200 817ms
2026-04-15 00:28:10.376365 200 663ms
2026-04-15 00:12:52.724324 200 647ms
2026-04-14 03:20:57.478001 200 650ms
2026-04-14 00:47:18.387509 200 779ms
2026-04-12 15:05:10.912064 200 570ms
2026-04-12 14:48:46.226959 200 826ms
2026-04-10 01:51:25.247711 200 934ms
2026-04-10 00:08:33.508366 200 597ms
2026-04-09 02:13:26.203808 200 598ms
2026-04-08T12:09:25.613099 200 786ms
2026-04-08 01:37:40.656059 200 1322ms
2026-04-07 01:02:38.731743 200 748ms
2026-04-05 22:50:18.354530 200 716ms
2026-04-05 01:30:07.659284 200 704ms
2026-04-04 02:09:02.346412 200 657ms
2026-04-03 13:08:46.312788 200 686ms
2026-03-30 02:52:54.263521 200 591ms
2026-03-29 12:51:35.683775 200 579ms
2026-03-23 09:38:13.042417 200 639ms